#ifndef SERVER_H
#define SERVER_H

#include <omnetpp.h>

class Server : public cSimpleModule {
public:
    Module_Class_Members(Server,cSimpleModule,16384)
    virtual void activity();
    virtual void finish();
    virtual void initialize();

    long getJobsInSystem() {return jobsInSystem;}

private:
    long jobsInSystem;   // parameter holding current number of jobs in the server
    long messageCount;   // number of jobs served
    cQueue queue;        // waiting line
};

#endif