#ifndef SINK_H
#define SINK_H

#include <omnetpp.h>

class Sink : public cSimpleModule {
public:
    Module_Class_Members(Sink,cSimpleModule,16384)
    virtual void activity();
    virtual void finish();

    // discard data recorded so far
    // call after initial transient to get steady state values
    void reset();

private:
    cStdDev sInfo;      // statistics since last reset()
    long totalCount;    // total count of samples since start of activity()
};

#endif